kshowmail: OptionDlg Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptionDlg Class Reference

Inheritance diagram for OptionDlg:

List of all members.

## Public Slots
virtual void | slotExternalProgTest ()
virtual void | slotAccountActivated (int)
virtual void | slotButtonAddClicked ()
virtual void | slotButtonCopyClicked ()
virtual void | slotButtonDeleteClicked ()
virtual void | slotButtonEditClicked ()
virtual void | slotButtonOkClicked ()
virtual void | slotButtonSelectSoundFile ()
virtual void | slotMinimizeNoMailClicked ()
virtual void | slotSavePasswordToggled ()
virtual void | slotSoundTest ()
virtual void | slotTerminateNoMailClicked ()
## Public Member Functions
| OptionDlg (TQWidget *parent=0, const char *name=0, bool modal=false, WFlags fl=0)
| ~OptionDlg ()
## Public Attributes
TQGroupBox * | TQGroupBox_1
TQLabel * | TQLabel_1
TQPushButton * | m_ButtonDelete
TQPushButton * | m_ButtonCopy
TQPushButton * | m_ButtonEdit
TQPushButton * | m_ButtonAdd
TQComboBox * | m_ComboAccount
TQTabWidget * | TabWidget2
TQWidget * | tab
TQCheckBox * | m_CheckSavePassword
TQCheckBox * | m_CheckStartMinimized
TQCheckBox * | m_CheckConfirmDelete
TQLabel * | TQLabel_2
TQLabel * | TQLabel_3
TQLabel * | TQLabel_6
TQLabel * | TQLabel_4
TQSpinBox * | m_SpinPop3Timer
TQSpinBox * | m_SpinInitTimer
TQSpinBox * | m_SpinIntervalTimer
TQSpinBox * | m_SpinMaxSize
TQCheckBox * | _checkConfirmClose
TQCheckBox * | m_CheckKeepNewMail
TQCheckBox * | m_CheckCloseMinimizes
TQCheckBox * | m_CheckMinimizeToTray
TQWidget * | tab_2
TQGroupBox * | GroupBox3
TQCheckBox * | m_CheckActive
TQCheckBox * | m_CheckAccount1
TQCheckBox * | m_CheckServer
TQCheckBox * | m_CheckUser
TQCheckBox * | m_CheckMessages
TQCheckBox * | m_CheckSize1
TQGroupBox * | GroupBox2
TQCheckBox * | m_CheckNumber
TQCheckBox * | m_CheckAccount2
TQCheckBox * | m_CheckFrom
TQCheckBox * | m_CheckTo
TQCheckBox * | m_CheckSubject
TQCheckBox * | m_CheckDate
TQCheckBox * | m_CheckSize2
TQCheckBox * | m_CheckContent
TQCheckBox * | m_CheckState
TQGroupBox * | groupBox4
TQCheckBox * | m_checkHTML
TQWidget * | tab_3
TQCheckBox * | m_CheckMinimizeNoMail
TQCheckBox * | m_CheckTerminateNoMail
TQWidget * | tab_4
TQCheckBox * | m_CheckBeep
TQCheckBox * | m_CheckShowMainWindow
TQCheckBox * | m_CheckSound
TQCheckBox * | m_CheckExternalProg
TQPushButton * | m_ButtonSelectSoundFile
TQPushButton * | m_ButtonSoundTest
TQLabel * | TQLabel_5
TQComboBox * | m_ComboExternalProg
TQPushButton * | m_ButtonExternalProgTest
TQLineEdit * | m_EditSoundFile
TQCheckBox * | m_CheckShowMessagebox
TQPushButton * | m_ButtonOk
TQPushButton * | m_ButtonCancel
## Protected Slots
virtual void | languageChange ()
## Protected Attributes
TQVBoxLayout * | OptionDlgLayout
TQGridLayout * | TQGroupBox_1Layout
TQSpacerItem * | spacer4
TQSpacerItem * | spacer2
TQVBoxLayout * | layout3
TQGridLayout * | tabLayout
TQHBoxLayout * | tabLayout_2
TQVBoxLayout * | GroupBox3Layout
TQVBoxLayout * | GroupBox2Layout
TQVBoxLayout * | groupBox4Layout
TQVBoxLayout * | tabLayout_3
TQGridLayout * | tabLayout_4
TQHBoxLayout * | layout2
TQSpacerItem * | Spacer70

## Detailed Description

Definition at line 30 of file OptionDlg.h.

The documentation for this class was generated from the following files:

- kshowmail/OptionDlg.h
- kshowmail/OptionDlg.cpp